gcc4 question (I know it won't compile kernel)

Ask questions regarding Gentoox, Gentoo and Linux in general in these forums and we'll do our best to help you!
Post Reply
dopey
Novice
Posts: 47
Joined: Tue Apr 18, 2006 11:24 pm

gcc4 question (I know it won't compile kernel)

Post by dopey » Tue Sep 19, 2006 4:34 am

On the main page it says that we shouldn't upgrade to gcc4 as it won't compile the kernel or alsa. My question is will it cause any other problems?

Even on my main system I have both gcc-4.1.1 and gcc-3.4.6 installed. I switch to the old gcc when I come accross a package that doesn't compile correctly with gcc4 (not just a gentoox problem). Is there anything with the xbox that would cause issues if I upgraded to gcc4 and re-compiled everything with gcc4 (excecpt those that can't)? Gentoo itself does allow this.

For those who don't know you can change the current default compiler with gcc-config. Also gcc is slotable so you can install multiple versions at the same time. In fact when I "upgraded" to gcc4 on my desktop it kept gcc3 on my system.

User avatar
ShALLaX
Site Admin
Posts: 1973
Joined: Sun Aug 10, 2003 9:25 pm
Location: England
Contact:

Post by ShALLaX » Tue Sep 26, 2006 12:35 pm

It should be safe for all stuff that does NOT use kernel headers (so ALSA is probably unsafe). The news post on the front page was mainly to stop people who dont know what theyre doing from breaking their system.

You sound like you should be fine ;)
The original Xbox adaptation of Gentoo

Post Reply

Who is online

Users browsing this forum: No registered users and 7 guests